From eef3d9ade6171c5469a366e4dffee0c63c949458 Mon Sep 17 00:00:00 2001
From: Matt Trzcinski <matt@excalamus.com>
Date: Fri, 23 Dec 2022 22:34:12 -0500
Subject: [PATCH 11/20] test-ob-shell.el: Refactor ob-shell/results-list

* test-ob-shell.el (ob-shell/results-list): Rename
`ob-shell/results-list' to `test-ob-shell/results-list'.
(ob-shell/results-list): Use `test-ob-shell-multiline-string' to write
source block on multiple lines.
---
 testing/lisp/test-ob-shell.el | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

diff --git a/testing/lisp/test-ob-shell.el b/testing/lisp/test-ob-shell.el
index 87a10eaa3..93f4c45af 100644
--- a/testing/lisp/test-ob-shell.el
+++ b/testing/lisp/test-ob-shell.el
@@ -279,10 +279,15 @@ string. Bash cannot handle lists in associative arrays."
               "#+END_SRC")
             (org-babel-execute-src-block)))))
 
-(ert-deftest ob-shell/results-list ()
+(ert-deftest test-ob-shell/results-list ()
   "Test :results list."
   (org-test-with-temp-text
-      "#+BEGIN_SRC sh :results list\necho 1\necho 2\necho 3\n#+END_SRC"
+      (test-ob-shell-multiline-string
+      "#+BEGIN_SRC sh :results list"
+      "echo 1"
+      "echo 2"
+      "echo 3"
+      "#+END_SRC")
     (should
      (equal '((1) (2) (3))
             (org-babel-execute-src-block)))
-- 
2.38.1

